const AWSXRay = require('aws-xray-sdk-core')
const AWS = AWSXRay.captureAWS(require('aws-sdk'))
const db = new AWS.DynamoDB.DocumentClient();
const TABLE_NAME = process.env.TABLE_NAME || '';
const PRIMARY_KEY = process.env.TABLE_KEY || '';
exports.handler = async (event = {}) => {
    if (!event.queryStringParameters || !event.queryStringParameters.id) {
        var err = { statusCode: 400, body: JSON.stringify({status:32002,msg:'invalid request, you are missing the path parameter id'})};
        console.error(err)
        return err;
    }
    const requestedItemId = event.queryStringParameters.id;
    const params = {
        TableName: TABLE_NAME,
        Key: {
            [PRIMARY_KEY]: requestedItemId
        }
    };
    console.log({
        event: event,
        params: params
    })
    try {
        const response = await db.get(params).promise();
        console.log({response:{ statusCode: 200, body: JSON.stringify(response.Item) }
        })
        return { statusCode: 200, body: JSON.stringify(response.Item) };
    }
    catch (dbError) {
        console.error("500 "+JSON.stringify(dbError))
        return { statusCode: 500, body: JSON.stringify(dbError) };
    }
};